package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreDTO;
import com.gic.store.dto.StoreFieldDTO;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreApiService {


    ServiceResponse<Integer> saveOrUpdate(StoreDTO storeDTO);
    /**
     * 分页门店列表 查es
     * @param storeDTO
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<StoreDTO>> listStore(StoreDTO storeDTO, Integer pageNum, Integer pageSize);

    ServiceResponse<StoreDTO> getStoreById(Integer enterpriseId, Integer storeId);

    /**
     * 校验除 是否重复 外的所有条件
     * @param value
     * @return success:验证通过
     */
    ServiceResponse validateFieldExceptRepeat(String value, StoreFieldDTO storeFieldDTO);

    /**
     * 门店成本主体转移
     */
    ServiceResponse<Integer> costStoreMove(String storeIds, String toStoreId);

}
